[l10n][Calendar]The date in headers of day view is month, day, day of week from right to left.

VERIFIED FIXED

Status

VERIFIED FIXED
4 years ago
3 years ago

People

(Reporter: lulu.tian, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 verified, b2g-master affected)

Details

(Whiteboard: LocRun2.2)

Attachments

(4 attachments)

(Reporter)

Description

4 years ago
Created attachment 8584375 [details]
date_in_day_view.png

[1.Description]:
[RTL][v2.2][Calendar]The date in header of day view is shown as month, day, day of week from right to left, and it should be day, month, day of week from right to left.
See attachment:date_in_day_view.png

[2.Testing Steps]: 
1. Set system language as Arabic.
2. Launch Calendar.
3. Change to day view.
4. Observe the date in header.

[3.Expected Result]: 
4. The date should be shown as day, month, day of week from right to left.

[4.Actual Result]: 
4. The date is shown as month, day, day of week from right to left.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150326002504
Gaia Revision          e59ac067a1d22b7a72cbebc892ec652723f2a557
Gaia Date              2015-03-26 00:02:53
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/04b4b9d1faae
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150326.042521
Firmware Date          Thu Mar 26 04:25:30 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (unaffected)
Build ID               20150326160206
Gaia Revision          525c341254e08f07f90da57a4d1cd5971a3cc668
Gaia Date              2015-03-26 16:34:16
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/59554288b4eb
Gecko Version          39.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150326.193247
Firmware Date          Thu Mar 26 19:32:58 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test

[8.Note]:
The date in header is not translated on Flame 3.0 and it shown as "Mar 27, Friday".
(Reporter)

Updated

4 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
This isn't an RTL bug, it's a localization bug. I've seen many instances where date formats are improperly filed as RTL bugs. Please be careful and communicate to your team!

That said, I'm not 100% sure this is improperly formatted in this particular case. I will let Ahmed or Rami
Component: Gaia::Calendar → ar / Arabic
Flags: needinfo?(rami223)
Product: Firefox OS → Mozilla Localizations
oops forgot to finish my sentence! I will let Rami and Ahmed decide :)

Comment 3

4 years ago
date now is shown as day, month, day of week from right to left
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Flags: needinfo?(rami223)
Resolution: --- → FIXED
(Reporter)

Comment 4

4 years ago
Created attachment 8586535 [details]
wrong_date.png

Hi Rami,
Could you help with it? Thanks!
This issue has been verified failed on latest build of Flame 2.2/3.0 with the same steps in comment 0. Actually, the date format is shown as day of week, day, month from right to left. And there is a new problem now, the comma is misplaced, it should be located at right side of day.
See attachment:wrong_date.png

Device: Flame 2.2 (failed)
Build ID               20150331002503
Gaia Revision          cc11248ab69f13e89416c8e6bb2e184187e72088
Gaia Date              2015-03-30 22:22:58
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/90a26917ee8f
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150331.034811
Firmware Date          Tue Mar 31 03:48:21 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (failed)
Build ID               20150331160205
Gaia Revision          03164bd160809747e6a198e0dba1b7c3ee7789f5
Gaia Date              2015-03-31 14:48:14
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/18a8ea7c2c62
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150331.191641
Firmware Date          Tue Mar 31 19:16:50 EDT 2015
Bootloader             L1TC000118D0
Flags: needinfo?(rami223)
(Reporter)

Updated

4 years ago
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
Whiteboard: MGSEI-RTL-3F

Comment 5

4 years ago
Sue,
Is it possible to see the reference of the localizing strings. For example, %A, %b %e what does A, b e means?
(In reply to Rami Khader from comment #5)
> Sue,
> Is it possible to see the reference of the localizing strings. For example,
> %A, %b %e what does A, b e means?

It seems to me those are PHP date format parameters. You can see the whole list, with explanation, here:
http://php.net/manual/en/function.strftime.php
There's a link in the date.properties file (not sure if the PHP implementation is actually the same)
http://pubs.opengroup.org/onlinepubs/007908799/xsh/strftime.html

Comment 8

4 years ago
I hope now it is fixed, I did the changes.
Flags: needinfo?(rami223)
(Reporter)

Updated

4 years ago
Blocks: 1118864
No longer blocks: 1064590
Summary: [RTL][Calendar]The date in header of day view is month, day, day of week from right to left. → [l10n][Calendar]The date in header of day view is month, day, day of week from right to left.
Whiteboard: MGSEI-RTL-3F → MGSEI-RTL-3F, LocRun2.2
(Reporter)

Updated

4 years ago
Summary: [l10n][Calendar]The date in header of day view is month, day, day of week from right to left. → [l10n][Calendar]The date in headers of day view is month, day, day of week from right to left.
(Reporter)

Comment 9

4 years ago
Hi Josh,
This issue still exists on latest build of Flame 2.2/3.0 with the same steps in comment 0. The date in headers at day view is shown as month, day, day of week from right to left, and it should be day, month, day of week from right to left. Could you please help with it? Thanks!
Rate: 5/5

Device: Flame 2.2 (affected)
Build ID               20150422162503
Gaia Revision          41a85c5f9db291d4f7c0e94c8416b5115b4ee407
Gaia Date              2015-04-21 17:23:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/367b3e608cd8
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150422.200151
Firmware Date          Wed Apr 22 20:02:02 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150422160203
Gaia Revision          9d4f756aa35cb7f030a92f3c1f65fb55254ddd1d
Gaia Date              2015-04-22 17:32:36
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/a9311ec2dd39
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150422.193515
Firmware Date          Wed Apr 22 19:35:27 EDT 2015
Bootloader             L1TC000118D0
Flags: needinfo?(jocheng)

Comment 10

4 years ago
Hi Rami,
Per comment 9 from Sue.
The issue still exist. Could you help to check again? Thanks!
Status: RESOLVED → REOPENED
Flags: needinfo?(jocheng) → needinfo?(rami223)
Resolution: FIXED → ---

Comment 11

4 years ago
Hi Josh,
I did a change on the string on the latest 2.2 i hope now this fix the issue.
Flags: needinfo?(rami223)
Created attachment 8608017 [details]
Flame2.2_Day, Month, Day of week.png

Hi Rami,
I get this result on latest Flame 2.2: It displays Day of week, Day, Month from right to left. Is this correct? Or should it be displayed as Day, Month, Day of week from right to left, in accordance with the Expected Result in comment 0?
Could you please help to confirm? 
Many thanks!

Please see attachment: Flame2.2_Day, Month, Day of week.png
Flame 2.2 Build ID: 20150519162501
Flags: needinfo?(rami223)

Comment 13

3 years ago
Shine, it is correct the format should be.
Day of the week, date and month from right to left.
Status: REOPENED → RESOLVED
Last Resolved: 4 years ago3 years ago
Flags: needinfo?(rami223)
Resolution: --- → FIXED
Thanks Rami.
status-b2g-v2.2: affected → verified
Created attachment 8613894 [details]
verify1_pass_v3.0.png
This issue cannot be reproduced on latest build of flame3.0. The header is Day of the week, date and month from right to left.
Rate:0/5
Device:Flame 3.0[pass]
Build ID               20150601160204
Gaia Revision          6d477a7884273886605049b20f60af5c1583a150
Gaia Date              2015-06-01 16:41:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/56241c1f8a3b
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150601.193935
Firmware Date          Mon Jun  1 19:39:44 EDT 2015
Bootloader             L1TC000118D0
Status: RESOLVED → VERIFIED
QA Whiteboard: [rtl-impact][MGSEI-Triage+] → [rtl-impact][MGSEI-Triage+][MGSEI-RTL-3F]
Whiteboard: MGSEI-RTL-3F, LocRun2.2 → LocRun2.2
You need to log in before you can comment on or make changes to this bug.